HPE Greenlake For Storage Fleet REST APIs
- Returns a specific blueprint associated with the customer
HPE Greenlake For Storage Fleet REST APIs (1.4.0)
The number of items to skip before starting to collect the result set. Default is 20.
The numbers of items to return. Default is 0 which means no limit.
The filter query parameter is used to filter the set of resources returned in the response. The returned set of resources must match the criteria in the filter query parameter. A comparision compares a property name to a literal. The comparisons supported are the following:
- "eq" : Is a property equal to value. Valid for number, boolean and string properties.
- "gt" : Is a property greater than a value. Valid for number or string timestamp properties.
- "lt" : Is a property less than a value. Valid for number or string timestamp properties.
- "in" : Is a value in a property (that is an array of strings).
- GET /storage-fleet/v1alpha1/setup-blueprints?filter=name eq 'blueprint_device1'
Instruct the server to sort the resources returned with a collection-level GET. They provide sorting by one or more properties in ascending or descending order. Each item in the “sort” query parameter is a property name optionally followed by a direction indicator. The direction indicator may only be either “asc” (ascending) or “desc” (descending). If no direction indicator is specified, the default order is ascending. The first item in the “sort” query parameter defines the primary sort order, the second defines the secondary sort order, the third defines the tertiary sort order, etc.
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-blueprints
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Blueprint list
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up
The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.
Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
{ "count": 0, "items": [ { … } ], "pageLimit": 20, "pageOffset": 0, "total": 0 }
The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.
Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-blueprints
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Successfully created Blueprint.
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up
The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.
Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "schemaVersion": "string", "description": "string", "deviceTypes": [ "ALLETRA_5000" ], "autoSupport": { "fromAddress": "user@example.com", "infosightToken": "string", "recipientAddresses": [ … ], "smtpCredentialId": "string", "smtpEncryption": "NONE", "smtpPort": 0, "smtpServer": "smtp@acmeco.com", "smtpUsername": "string" }, "autoUpdateOs": true, "cluster": { "clusterName": "LABCLUSTER", "datacenterName": "AcmeCoDataCenter" }, "dataNetwork": [ { … } ], "dateTime": { "country": "Unites States", "ntpServers": [ … ], "timeZone": "America/Denver" }, "dnsConfig": { "dnsServers": [ … ], "domainName": "acmeco.com" }, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { "gateway": "192.168.0.1", "ipAddress": "192.168.0.1", "ipv6Address": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6Gateway": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6PrefixLen": "64", "mtu": 0, "secondaryInterface": "string", "secondaryIp": "192.168.0.1", "secondaryIpV6": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "subnetMask": "192.168.0.1", "supportIps": [ … ], "supportIpsV6": [ … ], "vlanId": 0 }, "proxyConfig": { "credentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "domain": "domain.com", "port": 8080, "server": "proxy.acmeco.com", "type": "HTTP" }, "s3FrontEndConfiguration": { "s3DataNetworkConfiguration": { … }, "s3DataNetworkDnsSubdomains": [ … ] }, "serverSetups": { "esxRootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "iloAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "serverNetworks": [ … ] }, "supportContact": { "company": "Acme Co", "country": "United States", "firstName": "Jane", "language": "en", "lastName": "Doe", "phoneNumber": "+1 916 123 456", "primaryEmail": "jane.doe@acmeco.com" }, "systemIdentity": { "domainName": "home-depot-lab.com", "storageSystemName": "sjc-array2065" }, "userCreds": { "adminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vcenter": { "deployVcenter": true, "hostname": "test1-vc.lab.acmeco.com", "ipAddress": "192.168.0.1", "rootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "ssoAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vdsManagementOnly": true, "vdsSelected": true }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-blueprints/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X DELETE \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-blueprints/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Single blueprint
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up
The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.
Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "schemaVersion": "string", "description": "string", "deviceTypes": [ "ALLETRA_5000" ], "autoSupport": { "fromAddress": "user@example.com", "infosightToken": "string", "recipientAddresses": [ … ], "smtpCredentialId": "string", "smtpEncryption": "NONE", "smtpPort": 0, "smtpServer": "smtp@acmeco.com", "smtpUsername": "string" }, "autoUpdateOs": true, "cluster": { "clusterName": "LABCLUSTER", "datacenterName": "AcmeCoDataCenter" }, "dataNetwork": [ { … } ], "dateTime": { "country": "Unites States", "ntpServers": [ … ], "timeZone": "America/Denver" }, "dnsConfig": { "dnsServers": [ … ], "domainName": "acmeco.com" }, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { "gateway": "192.168.0.1", "ipAddress": "192.168.0.1", "ipv6Address": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6Gateway": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6PrefixLen": "64", "mtu": 0, "secondaryInterface": "string", "secondaryIp": "192.168.0.1", "secondaryIpV6": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "subnetMask": "192.168.0.1", "supportIps": [ … ], "supportIpsV6": [ … ], "vlanId": 0 }, "proxyConfig": { "credentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "domain": "domain.com", "port": 8080, "server": "proxy.acmeco.com", "type": "HTTP" }, "s3FrontEndConfiguration": { "s3DataNetworkConfiguration": { … }, "s3DataNetworkDnsSubdomains": [ … ] }, "serverSetups": { "esxRootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "iloAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "serverNetworks": [ … ] }, "supportContact": { "company": "Acme Co", "country": "United States", "firstName": "Jane", "language": "en", "lastName": "Doe", "phoneNumber": "+1 916 123 456", "primaryEmail": "jane.doe@acmeco.com" }, "systemIdentity": { "domainName": "home-depot-lab.com", "storageSystemName": "sjc-array2065" }, "userCreds": { "adminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vcenter": { "deployVcenter": true, "hostname": "test1-vc.lab.acmeco.com", "ipAddress": "192.168.0.1", "rootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "ssoAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vdsManagementOnly": true, "vdsSelected": true }
The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.
Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-blueprints/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PATCH \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/merge-patch+json' \
-d '{}'Updated blueprint
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up
The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.
Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.
If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "schemaVersion": "string", "description": "string", "deviceTypes": [ "ALLETRA_5000" ], "autoSupport": { "fromAddress": "user@example.com", "infosightToken": "string", "recipientAddresses": [ … ], "smtpCredentialId": "string", "smtpEncryption": "NONE", "smtpPort": 0, "smtpServer": "smtp@acmeco.com", "smtpUsername": "string" }, "autoUpdateOs": true, "cluster": { "clusterName": "LABCLUSTER", "datacenterName": "AcmeCoDataCenter" }, "dataNetwork": [ { … } ], "dateTime": { "country": "Unites States", "ntpServers": [ … ], "timeZone": "America/Denver" }, "dnsConfig": { "dnsServers": [ … ], "domainName": "acmeco.com" }, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { "gateway": "192.168.0.1", "ipAddress": "192.168.0.1", "ipv6Address": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6Gateway": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6PrefixLen": "64", "mtu": 0, "secondaryInterface": "string", "secondaryIp": "192.168.0.1", "secondaryIpV6": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "subnetMask": "192.168.0.1", "supportIps": [ … ], "supportIpsV6": [ … ], "vlanId": 0 }, "proxyConfig": { "credentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "domain": "domain.com", "port": 8080, "server": "proxy.acmeco.com", "type": "HTTP" }, "s3FrontEndConfiguration": { "s3DataNetworkConfiguration": { … }, "s3DataNetworkDnsSubdomains": [ … ] }, "serverSetups": { "esxRootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "iloAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "serverNetworks": [ … ] }, "supportContact": { "company": "Acme Co", "country": "United States", "firstName": "Jane", "language": "en", "lastName": "Doe", "phoneNumber": "+1 916 123 456", "primaryEmail": "jane.doe@acmeco.com" }, "systemIdentity": { "domainName": "home-depot-lab.com", "storageSystemName": "sjc-array2065" }, "userCreds": { "adminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vcenter": { "deployVcenter": true, "hostname": "test1-vc.lab.acmeco.com", "ipAddress": "192.168.0.1", "rootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "ssoAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vdsManagementOnly": true, "vdsSelected": true }